com.threerings.whirled.spot.data

## Interface SpotScene

All Known Implementing Classes:
  SpotSceneImpl, StageScene

    public interface SpotScene

Makes available the spot scene information that the server needs to do its business.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addPortal(Portal portal)` Adds a portal to this scene, immediately making the requisite modifications to the underlying scene model.
`Portal` `getDefaultEntrance()` Returns the portal that represents the default entrance to this scene.
`short` `getNextPortalId()` Returns the portal id that should be assigned to the next portal added to this scene.
`Portal` `getPortal(int portalId)` Returns a `Portal` object for the portal with the specified id or null if no portal exists with that id.
`int` `getPortalCount()` Returns the number of portals in this scene.
`Iterator<Portal>` `getPortals()` Returns an iterator over the portals in this scene.
`void` `removePortal(Portal portal)` Removes the specified portal from the scene.
`void` `setDefaultEntrance(Portal portal)` Sets the default entrance in this scene, immediately making the requisite modifications to the underlying scene model.

### Method Detail

#### getPortal

    Portal getPortal(int portalId)

Returns a `Portal` object for the portal with the specified id or null if no portal exists with that id.

#### getPortalCount

    int getPortalCount()

Returns the number of portals in this scene.

#### getPortals

    Iterator<Portal> getPortals()

Returns an iterator over the portals in this scene.

#### getNextPortalId

    short getNextPortalId()

Returns the portal id that should be assigned to the next portal added to this scene.

#### getDefaultEntrance

    Portal getDefaultEntrance()

Returns the portal that represents the default entrance to this scene. If a body enters the scene at logon time rather than entering from some other scene, this is the portal at which they would appear.

#### addPortal

    void addPortal(Portal portal)

Adds a portal to this scene, immediately making the requisite modifications to the underlying scene model. The portal id should have already been assigned using the value obtained from `getNextPortalId()`.

#### removePortal

    void removePortal(Portal portal)

Removes the specified portal from the scene.

#### setDefaultEntrance

    void setDefaultEntrance(Portal portal)

Sets the default entrance in this scene, immediately making the requisite modifications to the underlying scene model.